Aptitude is a quite powerful package manager leveraging CLI and an ncurses-style interface.

learn more… | top users | synonyms

0
votes
1answer
2k views

Ignoring specific unmet dependencies with aptitude?

This is my situation: I've installed a program called ipe "forcably" through a deb package; the reason for this is that ipe depends on texlive-latex-base, however, I already maintain a separate ...
0
votes
1answer
35 views

Aptitude Installing a lot of Packages?

I recently launched aptitude only to notice that it wanted to install 2GB of packages "to satisfy dependencies". Is is normal for aptitude to want to install this many packages all at the same time?
0
votes
1answer
88 views

Is there a way to install a package from a particular repository using apt?

Sometimes a package I want from a PPA has the same name as a different package in another repository. Is there a way I can tell apt to download a package of packageName from a certain repo? I'd ...
1
vote
1answer
786 views

How do I install python-virtualenv on Ubuntu server 12.04?

When ever I try to sudo apt-get install python-virtualenv, I'm told that Ubuntu is unable to locate the package. I'm running the server in a VirtualBox. It has networking and can access the web via ...
1
vote
0answers
40 views

libnm-glib4:386 with amd64

I have ubuntu 13.10 amd64 and I use libnm-glib4 but I also need i386 version of this lib. But amd64 version conflicts with i386 so I can't install it: sudo aptitude install libnm-glib4:i386 The ...
1
vote
0answers
381 views

Trying to remove Ubuntu-desktop with tasksel returns “aptitude failed”

I am following this guide trying to turn my Ubuntu-desktop-installation into Ubuntu-server. However, I am having problems already in step 2. Using tasksel to remove/install anything returns with: ...
1
vote
1answer
188 views

How to get older version of opencv

This fails: sudo apt-get -t=2.3.1 install libopencv Is there a way to figure put which command I have to type to get 2.3.1 running? The default on Ubuntu 13.04 is 2.4 Thanks
2
votes
1answer
102 views

apt-get install automatically cancelled

When I'm doing an update or installation on Ubuntu 13.10, the task is automatically cancelled in the terminal. I got this error since that the \boot partition was missing some space. I fixed this ...
1
vote
0answers
191 views

Cannot Install or update, problem with apt-get Ubuntu 12.04.03 Server

I am unable to install anything on my Ubuntu server. When I do, i get the suggestion to run apt-get -f install When I try running apt-get -f install I get: apt-get -f install Reading package ...
1
vote
1answer
195 views

Reserved UIDs/GIDs and semi-reserverd UIDs/GIDs

When installing a new system, depending on selected packages, some uids for some packages aren't always the same. eg: 'sshd' may be UID 102, sometimes another value. On the other hand, 'www-data' is ...
7
votes
1answer
398 views

What can cause “Missing Package: header, Problem with MergeList, The package lists or status file could not be parsed or opened” errors?

I write tests for my company's application. One of these tests tries to upgrade the application from a previous version to a new version to make sure nothing breaks. When I am installing an old ...
0
votes
1answer
2k views

Cannot install zeromq package from chris-lea/zeromq in 12.04

I ran: %> sudo add-apt-repository ppa:chris-lea/zeromq %> sudo aptitude update %> sudo aptitude install zeromq3 php-zeromq # result: zeromq3 - no such package found I tried restarting my system, ...
1
vote
1answer
1k views

“E: The method driver /usr/lib/apt/methods/htp could not be found.” after removing the LAMP task

So, I tried uninstalling the LAMP stack I had following the Ubuntu documentation for it. I also manually removed dbconfig-common. Now, I'm unable to run apt-get update. When I do, I get the error ...
1
vote
1answer
1k views

Why does “p” in “aptitude search” mean not installed at all?

$ sudo aptitude search node p nodejs - Node.js event-based server-side javascript engine p nodejs:i386 ...
0
votes
1answer
190 views

How do I install qps from repositories on ubuntu 13?

I'm trying to install qps on ubuntu with aptitude install qps Where I get Couldn't find package "qps". ... I probably could download the sources and recompile, but I think I might be missing ...
12
votes
5answers
29k views

Cannot get mcrypt for PHP5

I've done this many times: sudo aptitude install php5-mcrypt sudo apache2ctl restart aptitude says mcrypt is installed. I've reinstalled it 3 times already. I've restarted apache about 20 times ...
6
votes
2answers
12k views

What's difference of apt-get and aptitude? [duplicate]

What is difference of apt-get and aptitude? Does both of them use same repositories? Which one is better?
0
votes
2answers
94 views

Aptitude or something else?

I'm pretty new to Ubuntu and Linux in general. I've also already managed to bork a few installs. Anyways, my question is whether I should stick with a package manager like Aptitude or is there ...
8
votes
3answers
1k views

How can I prevent apt-get/aptitude from showing dialogs during installation?

I'm trying to build an Ansible Playbook to deploy some Ubuntu 12.04 servers on Linode, but my problem seems to be an Ubuntu one. When I run different combinations of apt-get or aptitude I always get ...
0
votes
1answer
501 views

Can't install php5-fpm after upgrade to 12.10

I upgraded to 12.10 from 12.04 and began getting gateway errors when I accessed phppgadmin via nginx. After looking around I realised that the required program php5-fpm wasn't running and further what ...
4
votes
2answers
683 views

Why does apt-get install Skype easily while aptitude complains about MAJOR dependency errors?

I was trying to install Skype on Ubuntu 13.04, from the Canonical repositories. With apt-get it worked easily, while aptitude had a huge problem with dependencies and proposed a complicated solution. ...
2
votes
2answers
370 views

kolab 3.0 sources

I'm attempting to install Kolab 3.0 following these steps on 12.04 Server, yet showpkg still shows 2.2.4 :~$ cat /etc/apt/sources.list.d/kolab.list deb ...
1
vote
1answer
778 views

Ubuntu 12.04 apt-get update failing

I have a brand new, fresh install of 12.04 LTS. When I attempt to run a simple apt-get update this is what I get: Ign http:/us.archive.ubuntu.com precise InRelease Ign http:/security.ubuntu.com ...
2
votes
1answer
331 views

Downgrading a package with older version “physically” in the repository

I want to downgrade from OpenJDK Update 25 to OpenJDK Update 21. If I look, for example, at security.ubuntu.com or at mirror.pnl.gov, I can see that .deb files for Update 21 are still there, however, ...
0
votes
1answer
38 views

What is the replacement for -n switch in Aptitude in 13.04?

I am trying to purge XFCE from my PC (it got fubared so I want to destroy it and reinstall it). I noticed aptitude doesn't have the -n wildcard any more. So aptitude purge -nxfce4 just lists the ...
0
votes
1answer
708 views

Cannot add or remove packages; Errors were encountered while processing: libbz2-1.0 libbz2-1.0:i386

I noticed Ubuntu had not asked me to update in a while, which is strange. So, I opened the update manager and received the message, Software index is broken It is impossible to install or remove any ...
0
votes
3answers
49 views

Where can I find the most up-to-date apt-get package list for my distribution?

In other words, is there a website where I can find a simple list of all the packages that apt-get install searches through, along with descriptions of what each package does? When I run apt-get ...
43
votes
2answers
14k views

What is the difference between dpkg and aptitude/apt-get?

When installing a software via dpkg -i packageA.deb, will the dependencies required by packageA be downloaded and installed automatically? How is this different from using apt-get or aptitude?
0
votes
0answers
33 views

Installing 32 bit libraries fails [duplicate]

I am trying to install 32-bit libraries on Ubuntu 13.04 64-bit as I've done many times before on Ubuntu 12.04 and Debian 6/7. There seems to be a problem with some packages. This is what I get when I ...
1
vote
1answer
105 views

How to search for APT packages with a specific substring in their names only?

In the past I used to search for a package specifying a part of its name in Synaptic, as far as I can remember. Now it searches in package descriptions too and this is very inconvenient as it gives a ...
0
votes
1answer
1k views

The && concatenator stopped working when executing “sudo aptitude update && sudo aptitude upgrade”. ¿Why is that happening?

Problems with && concatenator. It stopped concatenating. I ran: sudo add-apt-repository ppa:igorgomes/ppa sudo aptitude update The aptitude update command began generating a screen output ...
1
vote
0answers
468 views

How to install xnviewmp using package management aptitude `apt-get` on Ubuntu 12.10?

How to install xnviewmp using package management aptitude apt-get on Ubuntu 12.10? Visiting https://apps.ubuntu.com/cat/applications/xnviewmp/ and clicking through to software center ends results in ...
1
vote
1answer
78 views

Install a package manager without package manager

I'm doing some work on a really, really minimalistic Debian dist and noticed that there is no package manager on it. Can anyone tell me how I can fix this? There is no GUI but I have a Internet ...
0
votes
2answers
1k views

Ubuntu 12.04 I can't download anything… at all

I recently upgraded from Maveric(10.10) to 12.04 (by wiping out Maveric from my system completely) I was using a pen drive, so it messed up my grub. I finally managed to reinstall the grub on the ...
1
vote
1answer
614 views

500 Internal Server Error whenever I use apt-get

I'm running ubuntu 12.04 I'm getting a huge number of "500 Internal Server Error" errors whenever I try to apt-get install/upgrade. aptitude yields exactly the same errors. I know there are ...
5
votes
2answers
874 views

How do I delete all packages which match a certain pattern?

I want to uninstall libreoffice. This program consists of about three dozen modules. Ideally, they could be removed with: aptitude remove libreoffice3.6* libreoffice-debian-menus libobasis3.6-* but ...
2
votes
3answers
874 views

which version of python is installed?

I installed Ubuntu 12.10 in my VirtualBox. Is python installed by default? If not, How can I install python?
0
votes
1answer
2k views

aptitude upgrade linux 3.2.0-39 problem

since yesterday I am trying to upgrade my system to the latest version. I am using Ubuntu Server 12.04.2 LTS. The strangest thing happens when I try to upgrade my system. Here is the output of ...
1
vote
0answers
30 views

Aptitude depends [duplicate]

How do i fix this? I also did sudo apt-get -f install but same error The following packages have unmet dependencies: aptitude: Depends: libapt-pkg4.12 (>= 0.8.16~exp12ubuntu6) but it is not ...
4
votes
3answers
272 views

Will this sudo rule allow a user to update the system and nothing more?

I want to design a sudo rule that will allow the user ricardo to update the system using aptitude, but prevent him from using sudo to run any other command (he's a problem user). Are there any ...
0
votes
0answers
31 views

apt-get install segfault [duplicate]

when i tried to apt-get install pkg_name then i got this Reading package lists... Done Segmentation faulty tree... 50% and this appears in the /var/log/syslog file Feb 13 15:22:19 hostname ...
5
votes
2answers
247 views

How exactly does Synaptic keep track of “New in repository” packages?

Is this info part of APT cache or does it create a separate file to compare with new cache? Where is it stored then?
2
votes
1answer
3k views

Installing flash on Ubuntu

I have an EC2 instance running Ubuntu 12.10 and I'd like to install Flash Player on it. However, when I try to install it as follows, I'm unable to. Some hint on how I could proceed? Thanks. $ sudo ...
0
votes
2answers
2k views

aptitude cant install ia32-libs

When I run aptitude install ia32-libs it gives me this output (on Pastebin due to length constraints of StackExchange). The install fails, as it leaves ia32-libs in a Not Installed state. All other ...
1
vote
1answer
104 views

How do I find which packages could be set as automatically installed?

I am having a hard time understand who depends on who using apt-cache depends and apt-cache rdepends. I am keeping a long list of packages that I installed to solve a number of dependency problems. I ...
1
vote
2answers
38 views

aptitude - Package removal on jdk installation

I tried the following command aptitude install sun-java6-jdk It prompts me that the following packages will be removed. ant{u} ant-gcj{u} ant-optional{u} ant-optional-gcj{u} ...
1
vote
1answer
183 views

Aptitude installs automatically certain packages

I removed Nagios with sudo apt-get remove --purge nagios3-core nagios3-common and sudo apt-get autoremove but when I use Aptitude to install something else, It automatically installs Nagios again. ...
5
votes
5answers
20k views

Errors running apt-get update and apt-get install mysql-server

Since yesterday I've been trying to run apt-get update unsuccessfully in Ubuntu instances I am creating on the EC2. In specific I've been getting these errors: Ign http://security.ubuntu.com ...
5
votes
2answers
844 views

list all suggested packages for currently installed packages

Every time I install a package: sudo apt-get install <pkg> apt-get displays a list of suggested packages. I have simply ignored these so far, but some of these suggestions are actually good ...
1
vote
1answer
174 views

Compiled package and dependency management

I have a package that depends on squid 3.2. I want to replace squid 3.2 with source compiled version of squid 3.3 beta (which is not available in repository). When I remove squid 3.2, the depending ...